Page MenuHomePhabricator

Make 'emailExplain' variant default behavior
Closed, ResolvedPublic1 Story Points

Description

from comments on T215939:

ejegg: Do you want to keep this as a 'variant' that needs to be triggered by that URL parameter, or would you rather this be the default behavior for any form where the donor has opted out of email lists upstream (on a banner or donatewiki)?

pcoombe: Thanks @Ejegg ! We'd be happy to make this default for anyone who opted out, and shorten our URLs by removing the variant parameter :)

Event Timeline

Ejegg created this task.Mar 19 2019, 7:42 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 19 2019, 7:42 PM

Change 513208 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[mediawiki/extensions/DonationInterface@master] Make 'emailExplain' default behavior

https://gerrit.wikimedia.org/r/513208

Change 513208 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] Make 'emailExplain' default behavior

https://gerrit.wikimedia.org/r/513208

Ejegg claimed this task.May 30 2019, 4:37 AM
Ejegg triaged this task as Normal priority.
Ejegg set the point value for this task to 1.

@Pcoombe, @spatton just a heads-up that this will be rolling out along with the 'employer' field variants (T219558), hopefully later today. After that, the 'emailExplain' variant should be unnecessary so you can test the employer variants in places you're currently using emailExplain.

Pcoombe closed this task as Resolved.May 31 2019, 3:35 PM

Thanks @Ejegg! I tested this and it looks good, so have removed the code adding variant=emailExplain from banners (diff) and donatewiki (diff). Great point that this will free us up to test other variants too, I hadn't thought of that.